Update workflow

Update workflow

Endpoint

PUT https://embedworkflow.com/api/v1/workflows/{id}

Path Parameters

id string, required

System-generated unique identifier

Request Body

name string, required

Name of resource

key string, optional

Client-provided unique identifier

auto_clone_for_new_users boolean, optional

Mark workflow as default template. When true, new users will automatically receive a clone of this workflow (Admin only)

is_template boolean, optional

Mark workflow as a template. When true, new users will see this in a library of templates (Admin only)

on boolean, optionaldefault: true

Enable or disable the resource.

details string, optional

Description of the resource

template_draft object, optional

The draft template of the workflow

trigger_conditions_draft object, optional

The trigger's conditions

event_trigger_draft string, optional

The trigger's key

match_conditions_draft string, optional

Whether all or any of the trigger conditions must match

groups array, optional

User permission groups. Only available to users with admin role.

form array, optional

Settings form schema — array of field definitions filled in by end users to configure the workflow

Response

Returns successful.

Errors

  • 404 - not found
Response
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
{
  "id": "01a0781b-fa6c-752f-8a44-df2373da381a",
  "account_template_id": null,
  "action_type_ids": [],
  "actions_count": 0,
  "auto_clone_for_new_users": false,
  "created_at": "2026-09-06T15:04:54-04:00",
  "created_at_string": "Sep 06, 2026 03:04 pm EDT",
  "created_at_utc": "2026-09-06T19:04:54Z",
  "description": null,
  "event_trigger": null,
  "event_trigger_draft": null,
  "executions_count": 0,
  "form": [
    {
      "id": "abc123",
      "name": "greeting",
      "type": "TextField",
      "required": true
    }
  ],
  "form_data": {
    "abc123": "hello"
  },
  "groups": [],
  "has_draft": false,
  "is_managed": false,
  "is_template": false,
  "key": "updated-key",
  "last_executed_at": null,
  "last_executed_at_string": null,
  "last_executed_at_utc": null,
  "last_published_at": null,
  "last_published_at_string": null,
  "last_published_at_utc": null,
  "managed_by": "tenant",
  "match_conditions": null,
  "match_conditions_draft": null,
  "name": "My updated workflow name",
  "object": "workflow",
  "on": false,
  "stats": {},
  "status": "off",
  "template": {
    "action_types": [],
    "edges": [],
    "height": 150,
    "nodes": [
      {
        "id": "start_of_workflow",
        "type": "Start",
        "name": "Start Workflow"
      }
    ],
    "object": "workflow_layout_template",
    "positions": {
      "start_of_workflow": {
        "x": 450,
        "y": 0
      }
    },
    "width": 1200
  },
  "template_draft": {
    "action_types": [],
    "edges": [],
    "height": 150,
    "nodes": [
      {
        "id": "start_of_workflow",
        "type": "Start",
        "name": "Start Workflow"
      }
    ],
    "object": "workflow_layout_template",
    "positions": {
      "start_of_workflow": {
        "x": 450,
        "y": 0
      }
    },
    "width": 1200
  },
  "trigger_conditions": {},
  "trigger_conditions_draft": {},
  "updated_at": "2026-09-06T15:04:54-04:00",
  "updated_at_string": "Sep 06, 2026 03:04 pm EDT",
  "updated_at_utc": "2026-09-06T19:04:54Z"
}